<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['group_id']) && is_numeric($_GET['group_id']))
{
	$id = abs(intval($_GET['group_id']));
	$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_group = mysql_fetch_array($result);
	else go(URL);
}
else go(URL);
				
$title = checkout($arr_group['name']).' :: ' . lang('Пригласить друзей', 'Запросити друзів');
require_once '../incfiles/head.php';
echo group_access($arr_group);

	if (in_array($user_id, explode("||", substr($arr_group['blacklist'], 1, -1)))) go(URL.'/groups/?id='.$id);

?>

	<div class="title">
		<a href="<?= URL . "/groups/?id={$id}" ?>" onclick="Page.Go(this.href); return false">
			<?= lang('Сообщество','Спільнота') ?>
		</a>
		
		<a href="<?= URL . "/groups/invite2.php?group_id={$id}" ?>" onclick="Page.Go(this.href); return false">
			<?= lang('Друзья онлайн', 'Друзі онлайн') ?>
			</a>
		<a href="<?= URL . "/groups/invite.php?group_id={$id}" ?>" onclick="Page.Go(this.href); return false" class="title_a_hover">
			<?= lang('Все друзья', 'Всі друзі') ?>
		</a>
	</div>

<?php

$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$user_id."' LIMIT 1");
if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array($result);
else go(URL);

// Обробляєм запит на відправлення запрошення в групу group_id юзера to_id
if ($_GET['to_id']) {
	$to_id = abs(intval($_GET['to_id']));

	if (!mysql_result(mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `id` = '{$to_id}' LIMIT 1"), 0)): ?>
		<div class="block">
			<?= lang('Такого пользователя не существует!', 'Такого користувача не існує!'); ?>
		</div>
	<?php endif;
	if (!mysql_result(mysql_query("SELECT COUNT(`id`) FROM `group_invitations` 
	WHERE `to_id` = '{$to_id}' AND `group_id` = '{$id}' AND `from_id` = '{$user_id}' LIMIT 1"), 0)) {
		// Запрошення ще немає, створюєм нове
		$time = time();
		mysql_query("INSERT INTO `group_invitations`
		(`id`, `group_id`, `from_id`, `to_id`, `created_at`) VALUES (NULL, {$id}, {$user_id}, {$to_id}, {$time});");
		mysql_query("UPDATE `users` SET `notifications_soo` = (`notifications_soo`+1) WHERE `id` = '{$to_id}'");

		echo '<div class="block">'.lang('Приглашение успешно отправлено!', 'Запрошення успішно надіслано!').'</div>';
	} else {
		// Якщо запрошення вже існує
		echo '<div class="block">'.lang('Вы ранее уже отправляли приглашение этому пользователю!', 'Ви раніше вже надсилали цьому користувачу запрошення!').'</div>';
	}
}

if ($arr_user['count_friends'] > 0)
{

	$all = $arr_user['count_friends'];
	$cp = ceil($all/20);
	$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
	$start = $p*20-20;

	$invited_users = array();
	if (!empty($arr_group['users']))
	{
		$members = explode("||", substr($arr_group['users'], 1, -1));
		$members_count = $arr_group['count_users'];
		foreach ($members as $member) {
			$invited_users[$member] = $member;
		}
	}

	$query = mysql_query("SELECT `to_id` FROM `group_invitations` WHERE `from_id` = '{$user_id}' AND `group_id` = '{$id}'");

	while ($row = mysql_fetch_assoc($query)) {
		$invited_users[$row['to_id']] = $row['to_id'];
	}

	/**
	 * Записує в $str список юзерів які вже запрошені або раніше вступили в спільноту
	 */
	$str = '';
	foreach ($invited_users as $invited_user) {
		$str .= $invited_user;
		$str .= ',';
	}
	$str = substr($str, 0, -1);

	$res = mysql_query("SELECT * FROM `friends` WHERE `user_id` = '".$user_id."' AND `friend_id` NOT IN ('{$user_id}',$str) ORDER by `time` DESC LIMIT $start,20");
	while ($array = mysql_fetch_assoc($res))
	{ ?>
		<div class="block">
			<?= user_name($array['friend_id']) ?>
			<?php if (in_array($array['friend_id'], $invited_users)): ?>
				<br><br>
			<?php else: ?>
			<ul>
				<a href="<?= URL . "/groups/invite.php?group_id={$id}&amp;to_id={$array['friend_id']}" ?>" onclick="Page.Go(this.href); return false">
					<?= lang('Отправить приглашение', 'Надіслати запрошення') ?>
				</a>
			</ul>
		<?php endif ?>

		</div>

	<?php }
	navi($p, $cp, "/groups/invite.php?group_id={$id}&");

}

require_once '../incfiles/foot.php';

?>